<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/mainwindow.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">mainwindow.cpp File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="mainwindow_8h_source.html">mainwindow.h</a>&quot;</code><br />
<code>#include &quot;./ui_mainwindow.h&quot;</code><br />
<code>#include &quot;<a class="el" href="dataframe_8h_source.html">dataframe.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="statistic_8h_source.html">statistic.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="graphs_8h_source.html">graphs.h</a>&quot;</code><br />
<code>#include &lt;QVector&gt;</code><br />
<code>#include &lt;QtCharts/QChartView&gt;</code><br />
<code>#include &lt;QGraphicsView&gt;</code><br />
<code>#include &lt;QDialog&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for mainwindow.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="mainwindow_8cpp__incl.png" border="0" usemap="#aalat_za_analitiku_2src_2mainwindow_8cpp" alt=""/></div>
<map name="aalat_za_analitiku_2src_2mainwindow_8cpp" id="aalat_za_analitiku_2src_2mainwindow_8cpp">
<area shape="rect" title=" " alt="" coords="1906,5,2034,48"/>
<area shape="rect" href="mainwindow_8h.html" title=" " alt="" coords="2033,96,2136,123"/>
<area shape="poly" title=" " alt="" coords="2001,46,2055,85,2052,89,1998,51"/>
<area shape="rect" href="dataframe_8h.html" title=" " alt="" coords="2159,253,2248,280"/>
<area shape="poly" title=" " alt="" coords="1975,48,1982,80,1994,119,2012,160,2038,195,2082,217,2155,245,2153,250,2080,222,2035,199,2007,163,1989,121,1977,81,1970,49"/>
<area shape="rect" title=" " alt="" coords="973,336,1042,363"/>
<area shape="poly" title=" " alt="" coords="1905,33,1516,53,1243,71,953,94,672,123,427,158,325,178,243,200,183,223,162,235,148,247,141,257,139,267,141,276,148,286,163,296,190,305,272,320,381,331,507,338,764,345,957,346,957,351,764,350,506,343,380,336,271,325,189,310,161,301,144,290,136,279,134,267,136,255,144,244,159,231,180,218,241,195,324,173,426,153,672,118,953,89,1243,65,1516,48,1905,28"/>
<area shape="rect" href="graphs_8h.html" title=" " alt="" coords="1650,171,1722,197"/>
<area shape="poly" title=" " alt="" coords="1933,51,1723,165,1721,161,1931,46"/>
<area shape="rect" title=" " alt="" coords="158,253,304,280"/>
<area shape="poly" title=" " alt="" coords="1906,37,1650,63,1258,108,793,171,552,208,317,248,297,252,295,247,316,243,552,202,792,165,1258,103,1649,58,1905,31"/>
<area shape="rect" title=" " alt="" coords="2369,253,2480,280"/>
<area shape="poly" title=" " alt="" coords="2033,46,2089,68,2148,94,2220,132,2289,173,2396,242,2393,247,2286,177,2217,136,2146,98,2087,73,2031,51"/>
<area shape="rect" title=" " alt="" coords="2341,96,2468,123"/>
<area shape="poly" title=" " alt="" coords="2035,37,2326,91,2325,96,2034,43"/>
<area shape="rect" href="statistic_8h.html" title=" " alt="" coords="5,253,84,280"/>
<area shape="poly" title=" " alt="" coords="1905,31,1498,35,911,45,620,54,370,65,188,80,131,89,103,98,89,112,77,128,60,166,51,204,47,238,42,238,46,204,55,164,72,125,85,108,100,94,130,84,187,75,369,60,620,48,911,40,1498,29,1905,26"/>
<area shape="rect" title=" " alt="" coords="2492,96,2560,123"/>
<area shape="poly" title=" " alt="" coords="2035,31,2229,53,2351,71,2477,93,2476,98,2350,76,2228,59,2034,37"/>
<area shape="poly" title=" " alt="" coords="2074,125,2061,140,2050,159,2045,178,2049,196,2062,205,2088,217,2156,245,2154,250,2086,222,2059,209,2045,199,2039,178,2045,157,2057,137,2070,121"/>
<area shape="poly" title=" " alt="" coords="2033,123,1737,176,1736,171,2032,117"/>
<area shape="rect" title=" " alt="" coords="2272,253,2345,280"/>
<area shape="poly" title=" " alt="" coords="2106,121,2178,168,2281,242,2278,246,2175,173,2103,126"/>
<area shape="poly" title=" " alt="" coords="2113,121,2384,244,2382,249,2111,126"/>
<area shape="rect" title=" " alt="" coords="2059,171,2164,197"/>
<area shape="poly" title=" " alt="" coords="2092,122,2104,155,2099,157,2087,124"/>
<area shape="rect" title=" " alt="" coords="2148,336,2258,363"/>
<area shape="poly" title=" " alt="" coords="2206,281,2206,321,2201,321,2201,281"/>
<area shape="rect" title=" " alt="" coords="1947,336,2012,363"/>
<area shape="poly" title=" " alt="" coords="2169,283,2027,334,2026,329,2167,278"/>
<area shape="poly" title=" " alt="" coords="2173,283,2146,291,2046,305,1913,317,1594,335,1278,345,1057,350,1057,345,1278,340,1593,329,1913,312,2045,300,2145,285,2171,278"/>
<area shape="poly" title=" " alt="" coords="1722,185,1905,202,2026,219,2146,243,2157,246,2156,251,2145,248,2025,224,1905,207,1722,190"/>
<area shape="poly" title=" " alt="" coords="1722,187,1847,206,1908,222,1932,232,1949,243,1963,261,1972,281,1981,320,1975,321,1967,282,1958,263,1945,247,1930,237,1906,227,1846,211,1722,192"/>
<area shape="poly" title=" " alt="" coords="1723,187,1790,198,1862,217,1891,231,1910,247,1916,267,1904,290,1886,301,1857,311,1771,326,1657,337,1526,345,1257,351,1057,351,1057,346,1257,346,1525,339,1657,332,1770,321,1856,306,1884,296,1900,286,1911,267,1906,250,1888,235,1860,222,1789,203,1722,192"/>
<area shape="poly" title=" " alt="" coords="1722,183,1817,186,1951,194,2106,212,2185,226,2261,243,2269,245,2267,250,2260,248,2184,231,2105,217,1951,200,1817,191,1722,188"/>
<area shape="rect" title=" " alt="" coords="2016,253,2134,280"/>
<area shape="poly" title=" " alt="" coords="1722,189,1845,211,1998,243,2014,246,2013,252,1997,248,1844,216,1722,194"/>
<area shape="poly" title=" " alt="" coords="1650,189,1013,206,612,224,443,235,317,248,293,252,292,247,316,243,443,230,612,218,1013,200,1650,183"/>
<area shape="rect" title=" " alt="" coords="329,253,477,280"/>
<area shape="poly" title=" " alt="" coords="1650,187,1471,187,1186,193,843,212,664,227,490,248,466,252,465,247,489,243,664,222,842,206,1186,188,1471,182,1650,182"/>
<area shape="rect" title=" " alt="" coords="501,253,668,280"/>
<area shape="poly" title=" " alt="" coords="1650,188,1496,191,1257,200,972,217,824,231,680,248,653,252,652,247,679,243,823,226,971,212,1256,194,1495,186,1649,183"/>
<area shape="rect" title=" " alt="" coords="691,253,838,280"/>
<area shape="poly" title=" " alt="" coords="1650,189,1519,192,1321,202,1088,219,850,248,828,252,827,247,849,243,1088,214,1321,196,1519,187,1650,183"/>
<area shape="rect" title=" " alt="" coords="862,253,1000,280"/>
<area shape="poly" title=" " alt="" coords="1650,189,1384,205,1200,222,1013,248,993,252,992,247,1012,243,1199,217,1384,200,1650,184"/>
<area shape="poly" title=" " alt="" coords="1722,183,1831,187,1988,197,2171,215,2357,243,2373,246,2371,251,2356,248,2170,220,1987,202,1830,193,1722,189"/>
<area shape="rect" title=" " alt="" coords="1024,253,1145,280"/>
<area shape="poly" title=" " alt="" coords="1650,190,1440,208,1299,225,1157,248,1141,252,1140,246,1156,243,1298,219,1439,202,1649,185"/>
<area shape="rect" title=" " alt="" coords="1168,253,1313,280"/>
<area shape="poly" title=" " alt="" coords="1650,193,1508,215,1325,248,1306,252,1305,247,1324,243,1507,210,1649,188"/>
<area shape="rect" title=" " alt="" coords="1337,253,1464,280"/>
<area shape="poly" title=" " alt="" coords="1650,198,1461,251,1459,246,1649,193"/>
<area shape="rect" title=" " alt="" coords="1488,253,1673,280"/>
<area shape="poly" title=" " alt="" coords="1671,200,1610,246,1607,242,1668,196"/>
<area shape="rect" title=" " alt="" coords="1697,245,1891,288"/>
<area shape="poly" title=" " alt="" coords="1704,196,1756,234,1753,238,1701,200"/>
<area shape="poly" title=" " alt="" coords="85,275,146,285,316,300,541,312,1079,329,1596,340,1931,345,1931,350,1596,345,1078,335,541,317,315,305,145,291,84,280"/>
<area shape="poly" title=" " alt="" coords="76,278,102,285,180,297,282,308,530,325,957,344,957,349,529,331,282,313,179,303,101,291,75,283"/>
<area shape="rect" title=" " alt="" coords="21,336,68,363"/>
<area shape="poly" title=" " alt="" coords="47,281,47,321,42,321,42,281"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a0bf9799beafd64c4a8eb1b9f0278fd23" id="r_a0bf9799beafd64c4a8eb1b9f0278fd23"><td class="memItemLeft" align="right" valign="top">QVector&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0bf9799beafd64c4a8eb1b9f0278fd23">mapTypeToStat</a> (<a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> t)</td></tr>
<tr class="separator:a0bf9799beafd64c4a8eb1b9f0278fd23"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a0bf9799beafd64c4a8eb1b9f0278fd23" name="a0bf9799beafd64c4a8eb1b9f0278fd23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bf9799beafd64c4a8eb1b9f0278fd23">&#9670;&#160;</a></span>mapTypeToStat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt; QString &gt; mapTypeToStat </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a></td>          <td class="paramname"><span class="paramname"><em>t</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
